## Package org.biojava.utils.contract

Class Summary
Contract: Some minimal support for "design by contract" with pre-conditions, post-conditions and integrity rules (assertions).

Exception Summary
AssertionFailedException: Exception class that is thrown if an assertion failed.
PostconditionNotMetException: Exception class that is thrown if a postcondition of a method is not met.
PreconditionNotMetException: Exception class that is thrown if a precondition of a method is not met.